Runners
Update a runner
Scope: runner:write
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...
In: header
Path Parameters
runner.id*id
Unique identifier for the runner (UUID).
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://admiral.example.com/api/v1/runners/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "runner": { "id": "b2c3d4e5-6789-0abc-def1-234567890abc", "name": "prod-terraform-runner", "description": "Terraform runner for production AWS infrastructure provisioning.", "kind": "RUNNER_KIND_TERRAFORM", "labels": { "cloud": "aws", "team": "platform" }, "health_status": "RUNNER_HEALTH_STATUS_HEALTHY", "created_by": "d290f1ee-6c54-4b01-90e6-d701748f0851", "updated_by": "d290f1ee-6c54-4b01-90e6-d701748f0851", "created_at": "2025-07-15T10:00:00Z", "updated_at": "2025-11-18T08:30:00Z" } }'{ "runner": { "id": "b2c3d4e5-6789-0abc-def1-234567890abc", "name": "prod-terraform-runner", "description": "Terraform runner for production AWS infrastructure provisioning.", "kind": "RUNNER_KIND_TERRAFORM", "labels": { "cloud": "aws", "team": "platform" }, "health_status": "RUNNER_HEALTH_STATUS_HEALTHY", "created_by": "d290f1ee-6c54-4b01-90e6-d701748f0851", "updated_by": "d290f1ee-6c54-4b01-90e6-d701748f0851", "created_at": "2025-07-15T10:00:00Z", "updated_at": "2025-11-18T08:30:00Z" }}